## org.eclipse.datatools.modelbase.sql.accesscontrol.impl
Class AuthorizationIdentifierImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.accesscontrol.impl.AuthorizationIdentifierImpl

All Implemented Interfaces:
  AuthorizationIdentifier, SQLObject

Direct Known Subclasses:
  GroupImpl, RoleImpl, UserImpl

public abstract class AuthorizationIdentifierImpl
extends SQLObjectImpl
implements AuthorizationIdentifier

An implementation of the model object 'Authorization Identifier'.

The following features are implemented:

- `Owned Schema`
- `Received Role Authorization`
- `Granted Role Authorization`
- `Granted Privilege`
- `Received Privilege`

See Also:
  Serialized Form

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getGrantedPrivilege()`
`EList` `getGrantedRoleAuthorization()`
`EList` `getOwnedSchema()`
`EList` `getReceivedPrivilege()`
`EList` `getReceivedRoleAuthorization()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, toString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getOwnedSchema

    public EList getOwnedSchema()

  Specified by:
    `getOwnedSchema` in interface `AuthorizationIdentifier`
  Returns:
    the value of the 'Owned Schema' reference list.
  See Also:
    `SQLAccessControlPackage.getAuthorizationIdentifier_OwnedSchema()`, `Schema.getOwner()`

### getReceivedRoleAuthorization

    public EList getReceivedRoleAuthorization()

  Specified by:
    `getReceivedRoleAuthorization` in interface `AuthorizationIdentifier`
  Returns:
    the value of the 'Received Role Authorization' reference list.
  See Also:
    `SQLAccessControlPackage.getAuthorizationIdentifier_ReceivedRoleAuthorization()`, `RoleAuthorization.getGrantee()`

### getGrantedRoleAuthorization

    public EList getGrantedRoleAuthorization()

  Specified by:
    `getGrantedRoleAuthorization` in interface `AuthorizationIdentifier`
  Returns:
    the value of the 'Granted Role Authorization' reference list.
  See Also:
    `SQLAccessControlPackage.getAuthorizationIdentifier_GrantedRoleAuthorization()`, `RoleAuthorization.getGrantor()`

### getGrantedPrivilege

    public EList getGrantedPrivilege()

  Specified by:
    `getGrantedPrivilege` in interface `AuthorizationIdentifier`
  Returns:
    the value of the 'Granted Privilege' reference list.
  See Also:
    `SQLAccessControlPackage.getAuthorizationIdentifier_GrantedPrivilege()`, `Privilege.getGrantor()`

### getReceivedPrivilege

    public EList getReceivedPrivilege()

  Specified by:
    `getReceivedPrivilege` in interface `AuthorizationIdentifier`
  Returns:
    the value of the 'Received Privilege' containment reference list.
  See Also:
    `SQLAccessControlPackage.getAuthorizationIdentifier_ReceivedPrivilege()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.